## net.i2p.client.streaming
Class TestSwarm

    java.lang.Object
      net.i2p.client.streaming.TestSwarm

    public class TestSwarm

extends java.lang.Object

Sit around on a destination, receiving lots of data and sending lots of data to whomever talks to us. Usage: TestSwarm myKeyFile [peerDestFile ]*

Constructor Summary
`TestSwarm(I2PAppContext ctx, java.lang.String destFile, java.lang.String[] peerDestFiles)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `startup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestSwarm

    public TestSwarm(I2PAppContext ctx,
                     java.lang.String destFile,
                     java.lang.String[] peerDestFiles)

Method Detail

### main

    public static void main(java.lang.String[] args)

### startup

    public void startup()